Package serp.bytecode

# Class MonitorInstruction

java.lang.Object
serp.bytecode.Instruction
serp.bytecode.MonitorInstruction

All Implemented Interfaces:
  `BCEntity`, `VisitAcceptor`

Direct Known Subclasses:
  `MonitorEnterInstruction`, `MonitorExitInstruction`

public abstract class MonitorInstruction extends Instruction
A synchronization instruction.

Author:
  Abe White

## Method Summary

Modifier and Type
Method
Description
`int`
`getStackChange()`
Return the number of stack positions this instruction pushes or pops during its execution.

### Methods inherited from class serp.bytecode.Instruction

`acceptVisit, equalsInstruction, getByteIndex, getClassLoader, getCode, getLineNumber, getLogicalStackChange, getName, getOpcode, getPool, getProject, isValid`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getStackChange

public int getStackChange()
Description copied from class: `Instruction`
Return the number of stack positions this instruction pushes or pops during its execution.

Overrides:
  `getStackChange` in class `Instruction`
Returns:
  0 if the stack is not affected by this instruction, a positive number if it pushes onto the stack, and a negative number if it pops from the stack